Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113315 - golang-github-gorp-3: FTBFS in Fedora rawhide/f37
Summary: golang-github-gorp-3: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-gorp-3
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact:
URL:
Whiteboard:
Depends On: 2227433
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:36 UTC by Fedora Release Engineering
Modified: 2023-08-06 01:40 UTC (History)
2 users (show)

Fixed In Version: golang-github-gorp-3-3.1.0-1.fc39 golang-github-gorp-3-3.1.0-1.fc37 golang-github-gorp-3-3.1.0-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-02 09:42:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:36 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:36 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:36 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:36:22 UTC
golang-github-gorp-3 failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89789345


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix golang-github-gorp-3 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-gorp-3 will be orphaned. Before branching of Fedora 38,
golang-github-gorp-3 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:36:24 UTC
Created attachment 1901379 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:36:26 UTC
Created attachment 1901380 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:36:27 UTC
Created attachment 1901381 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:27:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Davide Cavalca 2022-08-14 23:40:44 UTC
Looks similar to https://bugzilla.redhat.com/show_bug.cgi?id=2113275, missing test dependencies

Comment 6 Davide Cavalca 2022-08-14 23:43:51 UTC
So, this is failing because of:

FAIL	github.com/go-gorp/gorp/v3 [setup failed]
# github.com/go-gorp/gorp/v3
dialect_mysql_test.go:18:2: cannot find package "github.com/poy/onpar" in any of:
	/usr/lib/golang/src/github.com/poy/onpar (from $GOROOT)
	/builddir/build/BUILD/gorp-3.0.2/_build/src/github.com/poy/onpar (from $GOPATH)
	/usr/share/gocode/src/github.com/poy/onpar

golang(github.com/poy/onpar) is itself unpackaged, and its tests depend on golang(git.sr.ht/~nelsam/hel/v4/pkg/pers) which is also unpackaged.

Comment 7 Davide Cavalca 2023-07-29 15:45:10 UTC
Took another look at this, golang(github.com/poy/onpar) and golang(git.sr.ht/~nelsam/hel) depend on each other :(

Comment 8 Fedora Update System 2023-08-02 09:39:40 UTC
FEDORA-2023-916286c4b4 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-916286c4b4

Comment 9 Fedora Update System 2023-08-02 09:42:06 UTC
FEDORA-2023-916286c4b4 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-08-02 13:42:12 UTC
FEDORA-2023-b70a4d44aa has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b70a4d44aa

Comment 11 Fedora Update System 2023-08-02 15:49:48 UTC
FEDORA-2023-8149bd9c52 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8149bd9c52

Comment 12 Fedora Update System 2023-08-03 01:21:41 UTC
FEDORA-2023-b70a4d44aa has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b70a4d44aa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b70a4d44aa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-08-03 01:43:13 UTC
FEDORA-2023-8149bd9c52 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8149bd9c52 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8149bd9c52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-08-06 00:38:46 UTC
FEDORA-2023-8149bd9c52 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-08-06 01:40:55 UTC
FEDORA-2023-b70a4d44aa has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.